Linux s1.hostinginusa.com 5.14.0-687.26.1.el9_8.x86_64 #1 SMP PREEMPT_DYNAMIC Tue Jul 14 16:32:02 EDT 2026 x86_64
Apache
Server IP : 67.222.28.226 & Your IP : 216.73.216.71
Domains : 206 Domain
User : agvfen
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
NetworkManager
3.71
MB
-rwxr-xr-x
2026-06-03 11:03
accessdb
15.42
KB
-rwxr-xr-x
2025-09-21 12:57
addgnupghome
3.01
KB
-rwxr-xr-x
2019-03-18 18:40
addpart
15.16
KB
-rwxr-xr-x
2026-04-04 22:15
adduser
137.84
KB
-rwxr-xr-x
2026-04-08 19:49
agetty
56.71
KB
-rwxr-xr-x
2026-04-04 22:15
alternatives
39.59
KB
-rwxr-xr-x
2025-03-12 10:43
anacron
39.52
KB
-rwxr-xr-x
2026-04-09 05:59
apachectl
4.7
KB
-rwxr-xr-x
2026-07-07 16:22
applygnupgdefaults
2.17
KB
-rwxr-xr-x
2018-01-25 15:06
arp
63.21
KB
-rwxr-xr-x
2024-10-02 19:02
arping
27.25
KB
-rwxr-xr-x
2025-10-20 12:44
arptables
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
arptables-nft
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
arptables-nft-restore
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
arptables-nft-save
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
arptables-restore
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
arptables-save
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
atd
31.26
KB
-rwxr-xr-x
2025-11-12 00:38
atrun
70
B
-rwxr-xr-x
2025-11-12 00:38
auditctl
51.59
KB
-rwxr-xr-x
2026-04-04 20:12
auditd
137.05
KB
-rwxr-xr-x
2026-04-04 20:12
augenrules
4.05
KB
-rwxr-xr-x
2026-04-04 20:12
aureport
120.3
KB
-rwxr-xr-x
2026-04-04 20:12
ausearch
120.27
KB
-rwxr-xr-x
2026-04-04 20:12
autrace
19.17
KB
-rwxr-x---
2026-04-04 20:12
avcstat
15.35
KB
-rwxr-xr-x
2025-03-12 23:36
badblocks
35.35
KB
-rwxr-xr-x
2025-09-21 15:03
biosdecode
28.06
KB
-rwxr-xr-x
2026-04-09 07:32
blkdeactivate
15.97
KB
-r-xr-xr-x
2026-06-03 10:51
blkdiscard
23.2
KB
-rwxr-xr-x
2026-04-04 22:15
blkid
51.61
KB
-rwxr-xr-x
2026-04-04 22:15
blkmapd
39.41
KB
-rwxr-xr-x
2026-04-08 16:14
blkzone
35.45
KB
-rwxr-xr-x
2026-04-04 22:15
blockdev
31.41
KB
-rwxr-xr-x
2026-04-04 22:15
bridge
130.95
KB
-rwxr-xr-x
2026-04-05 08:31
capsh
31.21
KB
-rwxr-xr-x
2026-05-20 10:00
cfdisk
96.34
KB
-rwxr-xr-x
2026-04-04 22:15
cgdisk
150.86
KB
-rwxr-xr-x
2022-01-30 23:44
chcpu
31.42
KB
-rwxr-xr-x
2026-04-04 22:15
chgpasswd
59.77
KB
-rwxr-xr-x
2026-04-08 19:49
chkconfig
43.78
KB
-rwxr-xr-x
2025-03-12 10:43
chpasswd
55.63
KB
-rwxr-xr-x
2026-04-08 19:49
chronyd
373.58
KB
-rwxr-xr-x
2026-04-09 00:49
chroot
39.55
KB
-rwxr-xr-x
2026-06-25 00:26
clock
59.77
KB
-rwxr-xr-x
2026-04-04 22:15
consoletype
15.28
KB
-rwxr-xr-x
2025-03-12 19:47
convertquota
69.01
KB
-rwxr-xr-x
2025-03-12 20:44
cracklib-check
15.11
KB
-rwxr-xr-x
2026-04-09 05:18
cracklib-format
255
B
-rwxr-xr-x
2026-04-09 05:18
cracklib-packer
15.11
KB
-rwxr-xr-x
2026-04-09 05:18
cracklib-unpacker
15.1
KB
-rwxr-xr-x
2026-04-09 05:18
create-cracklib-dict
994
B
-rwxr-xr-x
2015-08-18 18:41
crond
76.16
KB
-rwxr-xr-x
2026-04-09 05:59
csf
245.69
KB
-rwx------
2026-04-05 17:17
ctrlaltdel
15.19
KB
-rwxr-xr-x
2026-04-04 22:15
ctstat
23.59
KB
-rwxr-xr-x
2026-04-05 08:31
dcb
94.69
KB
-rwxr-xr-x
2026-04-05 08:31
ddns-confgen
27.26
KB
-rwxr-xr-x
2026-06-10 13:21
debugfs
233.03
KB
-rwxr-xr-x
2025-09-21 15:03
delpart
15.12
KB
-rwxr-xr-x
2026-04-04 22:15
depmod
165.57
KB
-rwxr-xr-x
2025-09-18 11:41
devlink
165.84
KB
-rwxr-xr-x
2026-04-05 08:31
dhclient
1.91
MB
-rwxr-xr-x
2026-04-09 06:48
dhclient-script
32.86
KB
-rwxr-xr-x
2026-04-09 00:58
dmfilemapd
23.3
KB
-r-xr-xr-x
2026-06-03 10:52
dmidecode
164.31
KB
-rwxr-xr-x
2026-04-09 07:32
dmsetup
156.77
KB
-r-xr-xr-x
2026-06-03 10:52
dmstats
156.77
KB
-r-xr-xr-x
2026-06-03 10:52
dnssec-cds
47.67
KB
-rwxr-xr-x
2026-06-10 13:21
dnssec-checkds
924
B
-rwxr-xr-x
2026-06-10 13:21
dnssec-coverage
926
B
-rwxr-xr-x
2026-06-10 13:21
dnssec-dsfromkey
39.44
KB
-rwxr-xr-x
2026-06-10 13:21
dnssec-importkey
35.44
KB
-rwxr-xr-x
2026-06-10 13:21
dnssec-keyfromlabel
39.42
KB
-rwxr-xr-x
2026-06-10 13:21
dnssec-keygen
47.45
KB
-rwxr-xr-x
2026-06-10 13:21
dnssec-keymgr
922
B
-rwxr-xr-x
2026-06-10 13:21
dnssec-revoke
31.41
KB
-rwxr-xr-x
2026-06-10 13:21
dnssec-settime
47.44
KB
-rwxr-xr-x
2026-06-10 13:21
dnssec-signzone
95.88
KB
-rwxr-xr-x
2026-06-10 13:21
dnssec-verify
31.45
KB
-rwxr-xr-x
2026-06-10 13:21
dosfsck
84.56
KB
-rwxr-xr-x
2022-01-29 18:41
dosfslabel
40.02
KB
-rwxr-xr-x
2022-01-29 18:41
dovecot
144.02
KB
-rwxr-xr-x
2026-07-15 21:53
dovecot_cpshutdown
3.27
KB
-rwxr-xr-x
2026-07-13 00:00
dpll
48.16
KB
-rwxr-xr-x
2026-04-05 08:31
dumpe2fs
31.29
KB
-rwxr-xr-x
2025-09-21 15:03
e2freefrag
15.19
KB
-rwxr-xr-x
2025-09-21 15:03
e2fsck
356.09
KB
-rwxr-xr-x
2025-09-21 15:03
e2image
43.41
KB
-rwxr-xr-x
2025-09-21 15:03
e2label
104.46
KB
-rwxr-xr-x
2025-09-21 15:03
e2mmpstatus
31.29
KB
-rwxr-xr-x
2025-09-21 15:03
e2undo
23.16
KB
-rwxr-xr-x
2025-09-21 15:03
e4crypt
31.3
KB
-rwxr-xr-x
2025-09-21 15:03
e4defrag
31.26
KB
-rwxr-xr-x
2025-09-21 15:03
ebtables
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ebtables-nft
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ebtables-nft-restore
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ebtables-nft-save
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ebtables-restore
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ebtables-save
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ebtables-translate
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
edquota
89.5
KB
-rwxr-xr-x
2025-03-12 20:44
efibootdump
23.87
KB
-rwxr-xr-x
2022-01-30 05:12
efibootmgr
45.18
KB
-rwxr-xr-x
2022-01-30 05:12
ether-wake
50.24
KB
-rwxr-xr-x
2024-10-02 19:02
ethtool
988.96
KB
-rwxr-xr-x
2025-10-20 14:14
exicyclog
11.1
KB
-rwxr-xr-x
2026-07-24 13:18
exigrep
11.44
KB
-rwxr-xr-x
2026-07-24 13:18
exim
1.55
MB
-rwsr-xr-x
2026-07-24 13:18
exim_checkaccess
4.83
KB
-rwxr-xr-x
2026-07-24 13:18
exim_dbmbuild
22.45
KB
-rwxr-xr-x
2026-07-24 13:18
exim_dumpdb
23.68
KB
-rwxr-xr-x
2026-07-24 13:18
exim_fixdb
32.24
KB
-rwxr-xr-x
2026-07-24 13:18
exim_lock
22.79
KB
-rwxr-xr-x
2026-07-24 13:18
exim_tidydb
23.7
KB
-rwxr-xr-x
2026-07-24 13:18
eximstats
149.14
KB
-rwxr-xr-x
2026-07-24 13:18
exinext
8.03
KB
-rwxr-xr-x
2026-07-24 13:18
exiqgrep
6.58
KB
-rwxr-xr-x
2026-07-24 13:18
exiqsumm
6.29
KB
-rwxr-xr-x
2026-07-24 13:18
exiwhat
4.42
KB
-rwxr-xr-x
2026-07-24 13:18
exportfs
68.47
KB
-rwxr-xr-x
2026-04-08 16:14
faillock
23.18
KB
-rwxr-xr-x
2026-04-04 23:44
fatlabel
40.02
KB
-rwxr-xr-x
2022-01-29 18:41
fcgistarter
24.71
KB
-rwxr-xr-x
2026-07-07 16:31
fdformat
23.19
KB
-rwxr-xr-x
2026-04-04 22:15
fdisk
112.07
KB
-rwxr-xr-x
2026-04-04 22:15
filefrag
19.22
KB
-rwxr-xr-x
2025-09-21 15:03
findfs
15.16
KB
-rwxr-xr-x
2026-04-04 22:15
fix-info-dir
7.85
KB
-rwxr-xr-x
2022-05-01 13:12
fixfiles
12.1
KB
-rwxr-xr-x
2026-04-04 23:51
fixparts
60.98
KB
-rwxr-xr-x
2022-01-30 23:44
flashrom
911.98
KB
-rwxr-xr-x
2022-02-11 21:46
fsck
43.55
KB
-rwxr-xr-x
2026-04-04 22:15
fsck.cramfs
31.38
KB
-rwxr-xr-x
2026-04-04 22:15
fsck.ext2
356.09
KB
-rwxr-xr-x
2025-09-21 15:03
fsck.ext3
356.09
KB
-rwxr-xr-x
2025-09-21 15:03
fsck.ext4
356.09
KB
-rwxr-xr-x
2025-09-21 15:03
fsck.fat
84.56
KB
-rwxr-xr-x
2022-01-29 18:41
fsck.minix
55.71
KB
-rwxr-xr-x
2026-04-04 22:15
fsck.msdos
84.56
KB
-rwxr-xr-x
2022-01-29 18:41
fsck.vfat
84.56
KB
-rwxr-xr-x
2022-01-29 18:41
fsck.xfs
2.54
KB
-rwxr-xr-x
2025-09-21 13:01
fsfreeze
15.15
KB
-rwxr-xr-x
2026-04-04 22:15
fstrim
43.5
KB
-rwxr-xr-x
2026-04-04 22:15
fuser
41.09
KB
-rwxr-xr-x
2022-03-25 15:53
g13-syshelp
88.6
KB
-rwxr-xr-x
2026-01-15 21:34
gdisk
187.38
KB
-rwxr-xr-x
2022-01-30 23:44
genhomedircon
32.04
KB
-rwxr-xr-x
2026-04-04 23:52
genhostid
15.28
KB
-rwxr-xr-x
2025-03-12 19:47
genl
130.15
KB
-rwxr-xr-x
2026-04-05 08:31
getcap
15.13
KB
-rwxr-xr-x
2026-05-20 10:00
getenforce
15.27
KB
-rwxr-xr-x
2025-03-12 23:36
getpcaps
15.13
KB
-rwxr-xr-x
2026-05-20 10:00
getpidprevcon
15.29
KB
-rwxr-xr-x
2025-03-12 23:36
getpolicyload
15.28
KB
-rwxr-xr-x
2025-03-12 23:36
getsebool
15.3
KB
-rwxr-xr-x
2025-03-12 23:36
groupadd
68.77
KB
-rwxr-xr-x
2026-04-08 19:49
groupdel
64.53
KB
-rwxr-xr-x
2026-04-08 19:49
groupmems
55.77
KB
-rwxr-xr-x
2026-04-08 19:49
groupmod
72.76
KB
-rwxr-xr-x
2026-04-08 19:49
grpck
59.76
KB
-rwxr-xr-x
2026-04-08 19:49
grpconv
51.56
KB
-rwxr-xr-x
2026-04-08 19:49
grpunconv
51.53
KB
-rwxr-xr-x
2026-04-08 19:49
grub2-bios-setup
1.67
MB
-rwxr-xr-x
2026-04-06 12:55
grub2-get-kernel-settings
2.68
KB
-rwxr-xr-x
2026-04-06 12:55
grub2-install
1.97
MB
-rwxr-xr-x
2026-04-06 12:55
grub2-macbless
1.65
MB
-rwxr-xr-x
2026-04-06 12:55
grub2-mkconfig
9.21
KB
-rwxr-xr-x
2026-04-06 12:55
grub2-probe
1.67
MB
-rwxr-xr-x
2026-04-06 12:55
grub2-reboot
4.7
KB
-rwxr-xr-x
2026-04-06 12:55
grub2-set-bootflag
15.09
KB
-rwsr-xr-x
2026-04-06 12:55
grub2-set-default
3.46
KB
-rwxr-xr-x
2026-04-06 12:55
grub2-set-password
2.74
KB
-rwxr-xr-x
2026-04-06 12:55
grub2-setpassword
2.74
KB
-rwxr-xr-x
2026-04-06 12:55
grub2-switch-to-blscfg
8.81
KB
-rwxr-xr-x
2026-04-06 12:55
grubby
260
B
-rwxr-xr-x
2026-04-14 16:50
gssproxy
124.89
KB
-rwxr-xr-x
2024-10-02 23:09
halt
298.41
KB
-rwxr-xr-x
2026-06-25 00:28
hdparm
143.06
KB
-rwxr-xr-x
2022-03-25 06:20
htcacheclean
52.8
KB
-rwxr-xr-x
2026-07-07 16:31
httpd
1.09
MB
-rwxr-xr-x
2026-07-07 16:31
hwclock
59.77
KB
-rwxr-xr-x
2026-04-04 22:15
iconvconfig
31.67
KB
-rwxr-xr-x
2026-07-22 07:10
ifconfig
78.98
KB
-rwxr-xr-x
2024-10-02 19:02
ifenslave
23.73
KB
-rwxr-xr-x
2025-10-20 12:44
ifstat
39.6
KB
-rwxr-xr-x
2026-04-05 08:31
imunify-notifier
9.85
MB
-rwxr-xr-x
2026-07-07 08:56
init
95.74
KB
-rwxr-xr-x
2026-06-25 00:28
insmod
165.57
KB
-rwxr-xr-x
2025-09-18 11:41
install-info
106.7
KB
-rwxr-xr-x
2022-05-01 13:12
installkernel
323
B
-rwxr-xr-x
2026-04-14 16:50
intel_sdsi
22.43
KB
-rwxr-xr-x
2026-07-23 20:52
iotop
499
B
-rwxr-xr-x
2022-10-15 09:47
ip
774.32
KB
-rwxr-xr-x
2026-04-05 08:31
ip6tables
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ip6tables-legacy
90.8
KB
-rwxr-xr-x
2025-02-13 04:00
ip6tables-legacy-restore
90.8
KB
-rwxr-xr-x
2025-02-13 04:00
ip6tables-legacy-save
90.8
KB
-rwxr-xr-x
2025-02-13 04:00
ip6tables-nft
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ip6tables-nft-restore
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ip6tables-nft-save
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ip6tables-restore
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ip6tables-restore-translate
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ip6tables-save
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ip6tables-translate
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
ipmaddr
19.45
KB
-rwxr-xr-x
2024-10-02 19:02
iptables
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
iptables-legacy
90.8
KB
-rwxr-xr-x
2025-02-13 04:00
iptables-legacy-restore
90.8
KB
-rwxr-xr-x
2025-02-13 04:00
iptables-legacy-save
90.8
KB
-rwxr-xr-x
2025-02-13 04:00
iptables-nft
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
iptables-nft-restore
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
iptables-nft-save
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
iptables-restore
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
iptables-restore-translate
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
iptables-save
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
iptables-translate
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
iptunnel
19.5
KB
-rwxr-xr-x
2024-10-02 19:02
irqbalance
64.45
KB
-rwxr-xr-x
2026-04-08 16:40
irqbalance-ui
39.59
KB
-rwxr-xr-x
2026-04-08 16:40
kexec
192.59
KB
-rwxr-xr-x
2026-04-08 18:11
key.dns_resolver
31.35
KB
-rwxr-xr-x
2023-04-05 19:15
kpartx
47.52
KB
-rwxr-xr-x
2026-04-05 00:24
lchage
23.16
KB
-rwxr-xr-x
2025-09-21 10:53
ldattach
27.23
KB
-rwxr-xr-x
2026-04-04 22:15
ldconfig
1.12
MB
-rwxr-xr-x
2026-07-22 07:10
lfd
383.05
KB
-rwx------
2026-04-05 17:17
lgroupadd
15.12
KB
-rwxr-xr-x
2025-09-21 10:53
lgroupdel
15.11
KB
-rwxr-xr-x
2025-09-21 10:53
lgroupmod
23.13
KB
-rwxr-xr-x
2025-09-21 10:53
lid
19.13
KB
-rwxr-xr-x
2025-09-21 10:53
lnewusers
23.13
KB
-rwxr-xr-x
2025-09-21 10:53
lnstat
23.59
KB
-rwxr-xr-x
2026-04-05 08:31
load_policy
15.12
KB
-rwxr-xr-x
2026-04-04 23:52
logrotate
95.66
KB
-rwxr-xr-x
2025-09-21 12:04
logsave
15.19
KB
-rwxr-xr-x
2025-09-21 15:03
losetup
72.09
KB
-rwxr-xr-x
2026-04-04 22:15
lpasswd
23.13
KB
-rwxr-xr-x
2025-09-21 10:53
lshw
853.58
KB
-rwxr-xr-x
2026-04-09 18:29
lsmod
165.57
KB
-rwxr-xr-x
2025-09-18 11:41
luseradd
23.13
KB
-rwxr-xr-x
2025-09-21 10:53
luserdel
15.12
KB
-rwxr-xr-x
2025-09-21 10:53
lusermod
23.13
KB
-rwxr-xr-x
2025-09-21 10:53
makedumpfile
431.84
KB
-rwxr-xr-x
2026-04-08 18:11
mariadbd
25.11
MB
-rwxr-xr-x
2026-05-23 16:01
matchpathcon
15.31
KB
-rwxr-xr-x
2025-03-12 23:36
mii-diag
24.2
KB
-rwxr-xr-x
2024-10-02 19:02
mii-tool
27.78
KB
-rwxr-xr-x
2024-10-02 19:02
mkdict
255
B
-rwxr-xr-x
2026-04-09 05:18
mkdosfs
52.51
KB
-rwxr-xr-x
2022-01-29 18:41
mkdumprd
12.13
KB
-rwxr-xr-x
2026-04-08 18:11
mke2fs
132.53
KB
-rwxr-xr-x
2025-09-21 15:03
mkfs
15.17
KB
-rwxr-xr-x
2026-04-04 22:15
mkfs.cramfs
35.38
KB
-rwxr-xr-x
2026-04-04 22:15
mkfs.ext2
132.53
KB
-rwxr-xr-x
2025-09-21 15:03
mkfs.ext3
132.53
KB
-rwxr-xr-x
2025-09-21 15:03
mkfs.ext4
132.53
KB
-rwxr-xr-x
2025-09-21 15:03
mkfs.fat
52.51
KB
-rwxr-xr-x
2022-01-29 18:41
mkfs.minix
43.55
KB
-rwxr-xr-x
2026-04-04 22:15
mkfs.msdos
52.51
KB
-rwxr-xr-x
2022-01-29 18:41
mkfs.vfat
52.51
KB
-rwxr-xr-x
2022-01-29 18:41
mkfs.xfs
450.77
KB
-rwxr-xr-x
2025-09-21 13:02
mkhomedir_helper
23.21
KB
-rwxr-xr-x
2026-04-04 23:44
mklost+found
15.12
KB
-rwxr-xr-x
2025-09-21 15:03
mksquashfs
197.62
KB
-rwxr-xr-x
2024-04-03 13:45
mkswap
47.5
KB
-rwxr-xr-x
2026-04-04 22:15
modinfo
165.57
KB
-rwxr-xr-x
2025-09-18 11:41
modprobe
165.57
KB
-rwxr-xr-x
2025-09-18 11:41
modsec-sdbm-util
33.56
KB
-rwxr-x---
2026-05-18 16:50
mount.fuse
15.34
KB
-rwxr-xr-x
2025-03-12 19:30
mount.nfs
100.52
KB
-rwsr-xr-x
2026-04-08 16:14
mount.nfs4
100.52
KB
-rwsr-xr-x
2026-04-08 16:14
mountstats
42.5
KB
-rwxr-xr-x
2026-04-08 16:13
mysqld
25.11
MB
-rwxr-xr-x
2026-05-23 16:01
named
545.02
KB
-rwxr-xr-x
2026-06-10 13:21
named-checkconf
39.4
KB
-rwxr-xr-x
2026-06-10 13:21
named-checkzone
39.34
KB
-rwxr-xr-x
2026-06-10 13:21
named-compilezone
39.34
KB
-rwxr-xr-x
2026-06-10 13:21
named-journalprint
15.13
KB
-rwxr-xr-x
2026-06-10 13:21
named-nzd2nzf
15.12
KB
-rwxr-xr-x
2026-06-10 13:21
nameif
15.58
KB
-rwxr-xr-x
2024-10-02 19:02
newusers
88.7
KB
-rwxr-xr-x
2026-04-08 19:49
nfsconf
39.86
KB
-rwxr-xr-x
2026-04-08 16:14
nfsdcld
55.87
KB
-rwxr-xr-x
2026-04-08 16:14
nfsdclddb
9.99
KB
-rwxr-xr-x
2026-04-08 16:13
nfsdclnts
9.05
KB
-rwxr-xr-x
2026-04-08 16:13
nfsdcltrack
39.91
KB
-rwxr-xr-x
2026-04-08 16:14
nfsidmap
23.3
KB
-rwxr-xr-x
2026-04-08 16:14
nfsiostat
23.35
KB
-rwxr-xr-x
2026-04-08 16:13
nfsref
43.52
KB
-rwxr-xr-x
2026-04-08 16:14
nfsstat
38.27
KB
-rwxr-xr-x
2026-04-08 16:14
nft
27.17
KB
-rwxr-xr-x
2026-06-03 10:57
nologin
15.16
KB
-rwxr-xr-x
2026-04-04 22:15
nscd
162.95
KB
-rwxr-xr-x
2026-07-22 07:10
nsec3hash
15.2
KB
-rwxr-xr-x
2026-06-10 13:21
nstat
31.34
KB
-rwxr-xr-x
2026-04-05 08:31
ownership
15.13
KB
-rwxr-xr-x
2026-04-09 07:32
packer
15.11
KB
-rwxr-xr-x
2026-04-09 05:18
pam_console_apply
43.51
KB
-rwxr-xr-x
2026-04-04 23:44
pam_namespace_helper
471
B
-rwxr-xr-x
2026-04-04 23:44
pam_timestamp_check
15.13
KB
-rwsr-xr-x
2026-04-04 23:44
paperconfig
4.08
KB
-rwxr-xr-x
2022-02-10 01:15
parted
96.39
KB
-rwxr-xr-x
2025-03-12 20:00
partprobe
15.34
KB
-rwxr-xr-x
2025-03-12 20:00
partx
59.77
KB
-rwxr-xr-x
2026-04-04 22:15
pdns_server
5.88
MB
-rwxr-xr-x
2026-06-26 18:41
pidof
23.33
KB
-rwxr-xr-x
2024-04-30 16:43
ping
89.33
KB
-rwxr-xr-x
2025-10-20 12:44
ping6
89.33
KB
-rwxr-xr-x
2025-10-20 12:44
pivot_root
15.16
KB
-rwxr-xr-x
2026-04-04 22:15
plipconfig
15.35
KB
-rwxr-xr-x
2024-10-02 19:02
poweroff
298.41
KB
-rwxr-xr-x
2026-06-25 00:28
pure-authd
23.02
KB
-rwxr-xr-x
2025-06-06 14:14
pure-certd
22.92
KB
-rwxr-xr-x
2025-06-06 14:14
pure-config.pl
4.64
KB
-rwxr-xr-x
2025-06-06 14:14
pure-ftpd
177.13
KB
-rwxr-xr-x
2025-06-06 14:14
pure-ftpwho
26.58
KB
-rwxr-xr-x
2025-06-06 14:14
pure-mrtginfo
14.55
KB
-rwxr-xr-x
2025-06-06 14:14
pure-quotacheck
22.56
KB
-rwxr-xr-x
2025-06-06 14:14
pure-uploadscript
22.83
KB
-rwxr-xr-x
2025-06-06 14:14
pwck
55.6
KB
-rwxr-xr-x
2026-04-08 19:49
pwconv
47.45
KB
-rwxr-xr-x
2026-04-08 19:49
pwhistory_helper
19.2
KB
-rwxr-xr-x
2026-04-04 23:44
pwunconv
47.41
KB
-rwxr-xr-x
2026-04-08 19:49
quotacheck
93.62
KB
-rwxr-xr-x
2025-03-12 20:44
quotaoff
56.67
KB
-rwxr-xr-x
2025-03-12 20:44
quotaon
56.67
KB
-rwxr-xr-x
2025-03-12 20:44
quotastats
15.34
KB
-rwxr-xr-x
2025-03-12 20:44
rdisc
31.36
KB
-rwxr-xr-x
2025-10-20 12:44
rdma
117.06
KB
-rwxr-xr-x
2026-04-05 08:31
readprofile
23.27
KB
-rwxr-xr-x
2026-04-04 22:15
reboot
298.41
KB
-rwxr-xr-x
2026-06-25 00:28
repquota
77.55
KB
-rwxr-xr-x
2025-03-12 20:44
request-key
27.29
KB
-rwxr-xr-x
2023-04-05 19:15
resize2fs
67.64
KB
-rwxr-xr-x
2025-09-21 15:03
resizepart
23.4
KB
-rwxr-xr-x
2026-04-04 22:15
restorecon
23.19
KB
-rwxr-xr-x
2026-04-04 23:52
restorecon_xattr
15.13
KB
-rwxr-xr-x
2026-04-04 23:52
rfkill
31.34
KB
-rwxr-xr-x
2026-04-04 22:15
rmmod
165.57
KB
-rwxr-xr-x
2025-09-18 11:41
rndc
43.25
KB
-rwxr-xr-x
2026-06-10 13:21
rndc-confgen
23.26
KB
-rwxr-xr-x
2026-06-10 13:21
rotatelogs
38.13
KB
-rwxr-xr-x
2026-07-07 16:31
route
65.77
KB
-rwxr-xr-x
2024-10-02 19:02
rpc.gssd
88.11
KB
-rwxr-xr-x
2026-04-08 16:14
rpc.idmapd
47.73
KB
-rwxr-xr-x
2026-04-08 16:14
rpc.mountd
132.55
KB
-rwxr-xr-x
2026-04-08 16:14
rpc.nfsd
40
KB
-rwxr-xr-x
2026-04-08 16:14
rpc.statd
80.79
KB
-rwxr-xr-x
2026-04-08 16:14
rpcbind
59.89
KB
-rwxr-xr-x
2024-04-03 13:53
rpcctl
9.42
KB
-rwxr-xr-x
2026-04-08 16:13
rpcdebug
18.66
KB
-rwxr-xr-x
2026-04-08 16:14
rpcinfo
35.58
KB
-rwxr-xr-x
2024-04-03 13:53
rsyslogd
806.88
KB
-rwxr-xr-x
2026-04-14 20:44
rtacct
29.34
KB
-rwxr-xr-x
2026-04-05 08:31
rtcwake
35.26
KB
-rwxr-xr-x
2026-04-04 22:15
rtkitctl
15.24
KB
-rwxr-xr-x
2024-10-02 21:35
rtmon
126.05
KB
-rwxr-xr-x
2026-04-05 08:31
rtstat
23.59
KB
-rwxr-xr-x
2026-04-05 08:31
runlevel
298.41
KB
-rwxr-xr-x
2026-06-25 00:28
runq
1.55
MB
-rwsr-xr-x
2026-07-24 13:18
runuser
55.61
KB
-rwxr-xr-x
2026-04-04 22:15
sasldblistusers2
15.27
KB
-rwxr-xr-x
2025-09-25 11:46
saslpasswd2
15.24
KB
-rwxr-xr-x
2025-09-25 11:46
sedispatch
19.16
KB
-rwxr-xr-x
2025-09-21 11:34
sefcontext_compile
72.38
KB
-rwxr-xr-x
2025-03-12 23:36
selabel_digest
15.31
KB
-rwxr-xr-x
2025-03-12 23:36
selabel_get_digests_all_partial_matches
15.33
KB
-rwxr-xr-x
2025-03-12 23:36
selabel_lookup
15.3
KB
-rwxr-xr-x
2025-03-12 23:36
selabel_lookup_best_match
15.31
KB
-rwxr-xr-x
2025-03-12 23:36
selabel_partial_match
15.3
KB
-rwxr-xr-x
2025-03-12 23:36
selinux_check_access
15.31
KB
-rwxr-xr-x
2025-03-12 23:36
selinuxconlist
15.3
KB
-rwxr-xr-x
2025-03-12 23:36
selinuxdefcon
15.3
KB
-rwxr-xr-x
2025-03-12 23:36
selinuxenabled
15.27
KB
-rwxr-xr-x
2025-03-12 23:36
selinuxexeccon
15.29
KB
-rwxr-xr-x
2025-03-12 23:36
semanage
40.64
KB
-rwxr-xr-x
2026-04-05 11:05
semodule
32.04
KB
-rwxr-xr-x
2026-04-04 23:52
sendmail
18.08
KB
-rwxr-sr-x
2026-07-24 13:18
service
4.51
KB
-rwxr-xr-x
2024-08-27 11:35
sestatus
23.13
KB
-rwxr-xr-x
2026-04-04 23:52
setcap
15.13
KB
-rwxr-xr-x
2026-05-20 10:00
setenforce
15.3
KB
-rwxr-xr-x
2025-03-12 23:36
setfiles
23.19
KB
-rwxr-xr-x
2026-04-04 23:52
setquota
81.58
KB
-rwxr-xr-x
2025-03-12 20:44
setroubleshootd
3.07
KB
-rwxr-xr-x
2024-11-26 13:18
setsebool
19.15
KB
-rwxr-xr-x
2026-04-04 23:52
sfdisk
103.98
KB
-rwxr-xr-x
2026-04-04 22:15
sgdisk
167.14
KB
-rwxr-xr-x
2022-01-30 23:44
showmount
15.48
KB
-rwxr-xr-x
2026-04-08 16:14
shutdown
298.41
KB
-rwxr-xr-x
2026-06-25 00:28
slattach
37.57
KB
-rwxr-xr-x
2024-10-02 19:02
sm-notify
51.77
KB
-rwxr-xr-x
2026-04-08 16:14
smartctl
853.84
KB
-rwxr-xr-x
2026-04-08 20:38
smartd
615.47
KB
-rwxr-xr-x
2026-04-08 20:38
sos
615
B
-rwxr-xr-x
2026-06-11 08:12
sos-collector
135
B
-rwxr-xr-x
2026-06-11 08:12
sosreport
128
B
-rwxr-xr-x
2026-06-11 08:12
ss
131.32
KB
-rwxr-xr-x
2026-04-05 08:31
sshd
406.9
KB
-rwxr-xr-x
2026-07-29 23:09
sss_cache
35.25
KB
-rwxr-xr-x
2026-07-23 19:31
sssd
71.61
KB
-rwxr-xr-x
2026-07-23 19:31
start-statd
1
KB
-rwxr-xr-x
2021-06-10 18:07
start-stop-daemon
48.65
KB
-rwxr-xr-x
2026-03-23 13:44
suexec
37.6
KB
-rwsr-xr-x
2026-07-07 16:31
sulogin
43.4
KB
-rwxr-xr-x
2026-04-04 22:15
swaplabel
19.19
KB
-rwxr-xr-x
2026-04-04 22:15
swapoff
23.27
KB
-rwxr-xr-x
2026-04-04 22:15
swapon
43.31
KB
-rwxr-xr-x
2026-04-04 22:15
switch_root
23.2
KB
-rwxr-xr-x
2026-04-04 22:15
sysctl
31.49
KB
-rwxr-xr-x
2024-04-30 16:43
tcpdump
1.28
MB
-rwxr-xr-x
2024-04-03 15:16
tcpslice
27.39
KB
-rwxr-xr-x
2024-04-03 15:16
telinit
298.41
KB
-rwxr-xr-x
2026-06-25 00:28
tipc
92.8
KB
-rwxr-xr-x
2026-04-05 08:31
tmpwatch
36.03
KB
-rwxr-xr-x
2022-02-11 11:52
tracepath
19.22
KB
-rwxr-xr-x
2025-10-20 12:44
tracepath6
19.22
KB
-rwxr-xr-x
2025-10-20 12:44
tsig-keygen
27.26
KB
-rwxr-xr-x
2026-06-10 13:21
tune2fs
104.46
KB
-rwxr-xr-x
2025-09-21 15:03
tuned
3.87
KB
-rwxr-xr-x
2026-02-22 19:49
tuned-adm
6.68
KB
-rwxr-xr-x
2026-02-22 19:49
udevadm
587.85
KB
-rwxr-xr-x
2026-06-25 00:28
umount.nfs
100.52
KB
-rwsr-xr-x
2026-04-08 16:14
umount.nfs4
100.52
KB
-rwsr-xr-x
2026-04-08 16:14
unix_chkpwd
23.29
KB
-rwsr-xr-x
2026-04-04 23:44
unix_update
31.32
KB
-rwx------
2026-04-04 23:44
unsquashfs
113.8
KB
-rwxr-xr-x
2024-04-03 13:45
update-alternatives
39.59
KB
-rwxr-xr-x
2025-03-12 10:43
update-smart-drivedb
23.33
KB
-rwxr-xr-x
2026-04-08 20:37
useradd
137.84
KB
-rwxr-xr-x
2026-04-08 19:49
userdel
88.84
KB
-rwxr-xr-x
2026-04-08 19:49
userhelper
43.48
KB
-rwx--x--x
2025-09-21 11:17
usermod
129.66
KB
-rwxr-xr-x
2026-04-08 19:49
validatetrans
15.29
KB
-rwxr-xr-x
2025-03-12 23:36
vdpa
35.88
KB
-rwxr-xr-x
2026-04-05 08:31
vigr
58.16
KB
-rwxr-xr-x
2026-04-08 19:49
vipw
58.16
KB
-rwxr-xr-x
2026-04-08 19:49
virt-what
15.71
KB
-rwxr-xr-x
2025-09-21 11:48
virt-what-cvm
15.32
KB
-rwxr-xr-x
2025-09-21 11:48
visudo
267.27
KB
-rwxr-xr-x
2026-05-21 01:23
vmcore-dmesg
27.3
KB
-rwxr-xr-x
2026-04-08 18:11
vpddecode
19.15
KB
-rwxr-xr-x
2026-04-09 07:32
weak-modules
33.58
KB
-rwxr-xr-x
2025-09-18 11:29
whmapi0
3.32
MB
-rwxr-xr-x
2026-07-24 04:42
whmapi1
3.32
MB
-rwxr-xr-x
2026-07-24 04:42
whmlogin
2.33
KB
-rwxr-xr-x
2022-02-09 18:45
wipefs
39.28
KB
-rwxr-xr-x
2026-04-04 22:15
xfs_admin
2.13
KB
-rwxr-xr-x
2025-09-21 13:01
xfs_bmap
699
B
-rwxr-xr-x
2025-09-21 13:01
xfs_copy
92.62
KB
-rwxr-xr-x
2025-09-21 13:02
xfs_db
708.08
KB
-rwxr-xr-x
2025-09-21 13:02
xfs_estimate
15.16
KB
-rwxr-xr-x
2025-09-21 13:02
xfs_freeze
804
B
-rwxr-xr-x
2025-09-21 13:01
xfs_fsr
43.51
KB
-rwxr-xr-x
2025-09-21 13:02
xfs_growfs
43.63
KB
-rwxr-xr-x
2025-09-21 13:02
xfs_info
1.27
KB
-rwxr-xr-x
2025-09-21 13:01
xfs_io
202.59
KB
-rwxr-xr-x
2025-09-21 13:02
xfs_logprint
88.26
KB
-rwxr-xr-x
2025-09-21 13:02
xfs_mdrestore
27.28
KB
-rwxr-xr-x
2025-09-21 13:02
xfs_metadump
786
B
-rwxr-xr-x
2025-09-21 13:01
xfs_mkfile
1.02
KB
-rwxr-xr-x
2025-09-21 13:01
xfs_ncheck
689
B
-rwxr-xr-x
2025-09-21 13:01
xfs_quota
92.1
KB
-rwxr-xr-x
2025-09-21 13:02
xfs_repair
686.23
KB
-rwxr-xr-x
2025-09-21 13:02
xfs_rtcp
19.14
KB
-rwxr-xr-x
2025-09-21 13:02
xfs_spaceman
43.78
KB
-rwxr-xr-x
2025-09-21 13:02
xqmstats
15.33
KB
-rwxr-xr-x
2025-03-12 20:44
xtables-legacy-multi
90.8
KB
-rwxr-xr-x
2025-02-13 04:00
xtables-monitor
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
xtables-nft-multi
231.41
KB
-rwxr-xr-x
2025-02-04 03:47
zabbix_agentd
720.14
KB
-rwxr-xr-x
2026-05-05 13:22
zic
59.63
KB
-rwxr-xr-x
2026-07-22 07:10
zramctl
55.87
KB
-rwxr-xr-x
2026-04-04 22:15
Save
Rename
#!/usr/bin/bash # fixfiles # # Script to restore labels on a SELinux box # # Copyright (C) 2004-2013 Red Hat, Inc. # Authors: Dan Walsh <dwalsh@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; if not, write to the Free Software # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA set -o nounset # # seclabel support was added in 2.6.30. This function will return a positive # number if the current kernel version is greater than 2.6.30, a negative # number if the current is less than 2.6.30 and 0 if they are the same. # function useseclabel { VER=`uname -r` SUP=2.6.30 expr '(' "$VER" : '\([^.]*\)' ')' '-' '(' "$SUP" : '\([^.]*\)' ')' '|' \ '(' "$VER.0" : '[^.]*[.]\([^.]*\)' ')' '-' '(' "$SUP.0" : '[^.]*[.]\([^.]*\)' ')' '|' \ '(' "$VER.0.0" : '[^.]*[.][^.]*[.]\([^.]*\)' ')' '-' '(' "$SUP.0.0" : '[^.]*[.][^.]*[.]\([^.]*\)' ')' } # # Get all mount points that support labeling. Use the 'seclabel' field if it # is available. Else fall back to known fs types which likely support xattrs # and we know were not context mounted. # get_all_labeled_mounts() { FS="`cat /proc/self/mounts | sort | uniq | awk '{print $2}'`" for i in $FS; do if [ `useseclabel` -ge 0 ] then grep " $i " /proc/self/mounts | awk '{print $4}' | grep -E --silent '(^|,)seclabel(,|$)' && echo $i else grep " $i " /proc/self/mounts | grep -v "context=" | grep -E --silent '(ext[234]| ext4dev | gfs2 | xfs | jfs | btrfs )' && echo $i fi done } get_rw_labeled_mounts() { FS=`get_all_labeled_mounts | sort | uniq` for i in $FS; do grep " $i " /proc/self/mounts | awk '{print $4}' | grep -E --silent '(^|,)rw(,|$)' && echo $i done } get_ro_labeled_mounts() { FS=`get_all_labeled_mounts | sort | uniq` for i in $FS; do grep " $i " /proc/self/mounts | awk '{print $4}' | grep -E --silent '(^|,)ro(,|$)' && echo $i done } # # Get the default label returned from the kernel for a file with a label the # kernel does not understand # get_undefined_type() { SELINUXMNT=`grep selinuxfs /proc/self/mountinfo | head -1 | awk '{ print $5 }'` cat ${SELINUXMNT}/initial_contexts/unlabeled | secon -t } # # Get the default label for a file without a label # get_unlabeled_type() { SELINUXMNT=`grep selinuxfs /proc/self/mountinfo | head -1 | awk '{ print $5 }'` cat $SELINUXMNT/initial_contexts/file | secon -t } exclude_dirs_from_relabelling() { exclude_from_relabelling= if [ -e /etc/selinux/fixfiles_exclude_dirs ] then while read i do # skip blank line and comment # skip not absolute path # skip not directory [ -z "${i}" ] && continue [[ "${i}" =~ ^[[:blank:]]*# ]] && continue [[ ! "${i}" =~ ^/.* ]] && continue [[ ! -d "${i}" ]] && continue exclude_from_relabelling="$exclude_from_relabelling -e $i" done < /etc/selinux/fixfiles_exclude_dirs fi echo "$exclude_from_relabelling" } # # Set global Variables # fullFlag=0 BOOTTIME="" VERBOSE="-p" [ -t 1 ] || VERBOSE="" FORCEFLAG="" THREADS="" RPMFILES="" PREFC="" RESTORE_MODE="" BIND_MOUNT_FILESYSTEMS="" SETFILES=/sbin/setfiles RESTORECON=/sbin/restorecon FILESYSTEMSRW=`get_rw_labeled_mounts` FILESYSTEMSRO=`get_ro_labeled_mounts` SELINUXTYPE="targeted" if [ -e /etc/selinux/config ]; then . /etc/selinux/config FC=/etc/selinux/${SELINUXTYPE}/contexts/files/file_contexts else FC=/etc/security/selinux/file_contexts fi # # Log all Read Only file systems # LogReadOnly() { if [ ! -z "$FILESYSTEMSRO" ]; then echo "Warning: Skipping the following R/O filesystems:" echo "$FILESYSTEMSRO" fi } # # Log directories excluded from relabelling by configuration file # LogExcluded() { for i in ${EXCLUDEDIRS//-e / }; do echo "skipping the directory $i" done } # # Find files newer then the passed in date and fix the label # newer() { DATE=$1 shift LogReadOnly for m in `echo $FILESYSTEMSRW`; do find $m -mount -newermt $DATE -print0 2>/dev/null | ${RESTORECON} ${FORCEFLAG} ${VERBOSE} ${THREADS} $* -i -0 -f - done; } # # Compare PREVious File Context to currently installed File Context and # run restorecon on all files affected by the differences. # diff_filecontext() { EXCLUDEDIRS="`exclude_dirs_from_relabelling`" for i in /sys /proc /mnt /var/tmp /var/lib/BackupPC /home /root /tmp; do [ -e $i ] && EXCLUDEDIRS="${EXCLUDEDIRS} -e $i"; done LogExcluded if [ -f ${PREFC} -a -x /usr/bin/diff ]; then TEMPFILE=`mktemp ${FC}.XXXXXXXXXX` test -z "$TEMPFILE" && exit PREFCTEMPFILE=`mktemp ${PREFC}.XXXXXXXXXX` sed -r -e 's,:s0, ,g' $PREFC | sort -u > ${PREFCTEMPFILE} sed -r -e 's,:s0, ,g' $FC | sort -u | /usr/bin/diff -b ${PREFCTEMPFILE} - | grep '^[<>]'|cut -c3-| grep ^/ | grep -Ev '(^/home|^/root|^/tmp)' | sed -r -e 's,[[:blank:]].*,,g' \ -e 's|\(([/[:alnum:]]+)\)\?|{\1,}|g' \ -e 's|([/[:alnum:]])\?|{\1,}|g' \ -e 's|\?.*|*|g' \ -e 's|\{.*|*|g' \ -e 's|\(.*|*|g' \ -e 's|\[.*|*|g' \ -e 's|\.\*.*|*|g' \ -e 's|\.\+.*|*|g' | # These two sorts need to be separate commands sort -u | sort -d | while read pattern ; do if ! echo "$pattern" | grep -q -f ${TEMPFILE} 2>/dev/null; then echo "$pattern"; case "$pattern" in *"*") echo "$pattern" | sed -e 's,^,^,' -e 's,\*$,,g' >> ${TEMPFILE};; esac; fi; done | ${RESTORECON} ${VERBOSE} ${EXCLUDEDIRS} ${FORCEFLAG} ${THREADS} $* -i -R -f -; rm -f ${TEMPFILE} ${PREFCTEMPFILE} fi } rpmlist() { rpm -q --qf '[%{FILESTATES} %{FILENAMES}\n]' "$1" | grep '^0 ' | cut -f2- -d ' ' [ ${PIPESTATUS[0]} != 0 ] && echo "$1 not found" >/dev/stderr } # unmount tmp bind mount before exit umount_TMP_MOUNT() { if [ -n "$TMP_MOUNT" ]; then umount "${TMP_MOUNT}${m}" || exit 130 rm -rf "${TMP_MOUNT}" || echo "Error cleaning up." fi exit 130 } fix_labels_on_mountpoint() { test -z ${TMP_MOUNT+x} && echo "Unable to find temporary directory!" && exit 1 mkdir -p "${TMP_MOUNT}${m}" || exit 1 mount --bind "${m}" "${TMP_MOUNT}${m}" || exit 1 ${SETFILES} ${VERBOSE} ${EXCLUDEDIRS} ${FORCEFLAG} ${THREADS} $* -q ${FC} -r "${TMP_MOUNT}" "${TMP_MOUNT}${m}" umount "${TMP_MOUNT}${m}" || exit 1 rm -rf "${TMP_MOUNT}" || echo "Error cleaning up." } export -f fix_labels_on_mountpoint # # restore # if called with -n will only check file context # restore () { OPTION=$1 shift # [-B | -N time ] if [ -n "$BOOTTIME" ]; then newer $BOOTTIME $* return fi # -C PREVIOUS_FILECONTEXT if [ "$RESTORE_MODE" == PREFC ]; then diff_filecontext $* return fi [ -x /usr/sbin/genhomedircon ] && /usr/sbin/genhomedircon EXCLUDEDIRS="`exclude_dirs_from_relabelling`" LogExcluded case "$RESTORE_MODE" in RPMFILES) for i in `echo "$RPMFILES" | sed 's/,/ /g'`; do rpmlist $i | ${RESTORECON} ${VERBOSE} ${EXCLUDEDIRS} ${FORCEFLAG} ${THREADS} $* -i -R -f - done ;; FILEPATH) ${RESTORECON} ${VERBOSE} ${EXCLUDEDIRS} ${FORCEFLAG} ${THREADS} $* -R -- "$FILEPATH" ;; *) if [ -n "${FILESYSTEMSRW}" ]; then LogReadOnly echo "${OPTION}ing `echo ${FILESYSTEMSRW}`" if [ -z "$BIND_MOUNT_FILESYSTEMS" ]; then ${SETFILES} ${VERBOSE} ${EXCLUDEDIRS} ${FORCEFLAG} $* -q ${THREADS} ${FC} ${FILESYSTEMSRW} else # we bind mount so we can fix the labels of files that have already been # mounted over for m in `echo $FILESYSTEMSRW`; do TMP_MOUNT="$(mktemp -p /run -d fixfiles.XXXXXXXXXX)" export SETFILES VERBOSE EXCLUDEDIRS FORCEFLAG THREADS FC TMP_MOUNT m if type unshare &> /dev/null; then unshare -m bash -c "fix_labels_on_mountpoint $*" || exit $? else trap umount_TMP_MOUNT EXIT fix_labels_on_mountpoint $* trap EXIT fi done; fi else echo >&2 "fixfiles: No suitable file systems found" fi if [ ${OPTION} != "Relabel" ]; then return fi echo "Cleaning up labels on /tmp" rm -rf /tmp/gconfd-* /tmp/pulse-* /tmp/orbit-* UNDEFINED=`get_undefined_type` || exit $? UNLABELED=`get_unlabeled_type` || exit $? find /tmp \( -context "*:${UNLABELED}*" -o -context "*:${UNDEFINED}*" \) \( -type s -o -type p \) -delete find /tmp \( -context "*:${UNLABELED}*" -o -context "*:${UNDEFINED}*" \) -exec chcon --no-dereference --reference /tmp {} \; find /var/tmp \( -context "*:${UNLABELED}*" -o -context "*:${UNDEFINED}*" \) -exec chcon --no-dereference --reference /var/tmp {} \; find /var/run \( -context "*:${UNLABELED}*" -o -context "*:${UNDEFINED}*" \) -exec chcon --no-dereference --reference /var/run {} \; [ ! -e /var/lib/debug ] || find /var/lib/debug \( -context "*:${UNLABELED}*" -o -context "*:${UNDEFINED}*" \) -exec chcon --no-dereference --reference /lib {} \; ;; esac } fullrelabel() { echo "Cleaning out /tmp" find /tmp/ -mindepth 1 -delete restore Relabel } relabel() { if [ -n "$RESTORE_MODE" -a "$RESTORE_MODE" != DEFAULT ]; then usage exit 1 fi if [ $fullFlag == 1 ]; then fullrelabel return fi echo -n " Files in the /tmp directory may be labeled incorrectly, this command can remove all files in /tmp. If you choose to remove files from /tmp, a reboot will be required after completion. Do you wish to clean out the /tmp directory [N]? " read answer if [ "$answer" = y -o "$answer" = Y ]; then fullrelabel else restore Relabel fi } process() { # # Make sure they specified one of the three valid commands # case "$1" in restore) restore Relabel;; check) VERBOSE="-v"; restore Check -n;; verify) VERBOSE="-v"; restore Verify -n;; relabel) relabel;; onboot) if [ -n "$RESTORE_MODE" -a "$RESTORE_MODE" != DEFAULT ]; then usage exit 1 fi > /.autorelabel || exit $? [ -z "$FORCEFLAG" ] || echo -n "$FORCEFLAG " >> /.autorelabel [ -z "$BOOTTIME" ] || echo -n "-N $BOOTTIME " >> /.autorelabel [ -z "$BIND_MOUNT_FILESYSTEMS" ] || echo -n "-M " >> /.autorelabel [ -z "$THREADS" ] || echo -n "$THREADS " >> /.autorelabel # Force full relabel if SELinux is not enabled selinuxenabled || echo -F > /.autorelabel echo "System will relabel on next boot" ;; *) usage exit 1 esac } usage() { echo $""" Usage: $0 [-v] [-F] [-M] [-f] [-T nthreads] relabel or Usage: $0 [-v] [-F] [-B | -N time ] [-T nthreads] { check | restore | verify } or Usage: $0 [-v] [-F] [-T nthreads] { check | restore | verify } dir/file ... or Usage: $0 [-v] [-F] [-T nthreads] -R rpmpackage[,rpmpackage...] { check | restore | verify } or Usage: $0 [-v] [-F] [-T nthreads] -C PREVIOUS_FILECONTEXT { check | restore | verify } or Usage: $0 [-F] [-M] [-B] [-T nthreads] onboot """ } if [ $# -eq 0 ]; then usage exit 1 fi set_restore_mode() { if [ -n "$RESTORE_MODE" ]; then # can't specify two different modes usage exit 1 fi RESTORE_MODE="$1" } # See how we were called. while getopts "N:BC:FfR:l:vMT:" i; do case "$i" in B) BOOTTIME=`/bin/who -b | awk '{print $3}'` set_restore_mode DEFAULT ;; N) BOOTTIME=$OPTARG set_restore_mode BOOTTIME ;; R) RPMFILES=$OPTARG set_restore_mode RPMFILES ;; C) PREFC=$OPTARG set_restore_mode PREFC ;; v) VERBOSE="-v" ;; l) # Old scripts use obsolete option `-l logfile` echo "Redirecting output to $OPTARG" exec >>"$OPTARG" 2>&1 ;; M) BIND_MOUNT_FILESYSTEMS="-M" ;; F) FORCEFLAG="-F" ;; f) fullFlag=1 ;; T) THREADS="-T $OPTARG" ;; *) usage exit 1 esac done # Move out processed options from arguments shift $(( OPTIND - 1 )) # Check for the command if [ $# -eq 0 ]; then usage exit 1 fi command="$1" # Move out command from arguments shift if [ $# -gt 0 ]; then set_restore_mode FILEPATH while [ $# -gt 0 ]; do FILEPATH="$1" process "$command" || exit $? shift done else process "$command" fi